
Infrastructure - Task #7104

Story # 6513 (New): Create a Local Cache of all Membernode log records on the single master CN

Event index reindexing shouldn't require re-harvest from MNs

2015-05-14 18:59 - Peter Slaughter

Status: New Start date: 2015-05-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

If the log aggregation solr index needs to be reindexed because new fields have been added or the index has become corrupted, a

re-harvest is required.

The method LogAggregatorTask:retrieve could be modified to read from a local (to the CNs) store of MN event log records instead of

re-harvesting

from MNs.

History

#1 - 2015-07-09 15:33 - Dave Vieglais

- Related to Story #6513: Create a Local Cache of all Membernode log records on the single master CN added

#2 - 2015-07-09 15:34 - Dave Vieglais

- Related to deleted (Story #6513: Create a Local Cache of all Membernode log records on the single master CN)

#3 - 2015-07-09 15:34 - Dave Vieglais

- Parent task set to #6513

Updating this issue to be a task in story 6513
